Subject: Re: bug#24520: 25.1.50; calccard.tex has somewhat unclear licensing

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 Oct 2016 00:54:51 +0300

> From: Richard Stallman <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> cc: [email-masked]
> Date: Sat, 29 Oct 2016 12:38:13 -0400
> 
>   > -% Copyright (C) 1987, 1992, 2001-2016 Free Software Foundation, Inc.
>   > -
>   > -% This file is part of GNU Emacs.
>   > -
>   > -% GNU Emacs is free software: you can redistribute it and/or modify
>   > -% it under the terms of the GNU General Public License as published by
>   > -% the Free Software Foundation, either version 3 of the License, or
>   > -% (at your option) any later version.
>   > -
>   > -% GNU Emacs is distributed in the hope that it will be useful,
>   > -% but WITHOUT ANY WARRANTY; without even the implied warranty of
>   > -% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
>   > -% GNU General Public License for more details.
>   > -
>   > -% You should have received a copy of the GNU General Public License
>   > -% along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.
>   > -
> 
> Don't delete that!  That is the license notice for the source file;
> it is required.

I'm confused: you said in your previous message:

>   > > My own take is that the "this is part of Emacs" GPL blurb in the tex source
>   > > should be removed, for clarity.
> 
> I agree it should not say the words "this is part of GNU Emacs".

There's no other "this is part of GNU Emacs" in the file, so what did
you mean by that?

>     +As a special additional permission, you may distribute reference cards
>     +printed, or formatted for printing, with the notice "Released under
>     +the terms of the GNU General Public License version 3 or later"
>     +instead of the usual distributed-under-the-GNU-GPL notice, and without
>     +a copy of the GPL itself.
> 
> That is additional permission for using the material in the source
> file.  Thus, the right place to add paragraph is INSIDE the license
> notice for the source file.  After these two lines.
> 
>   > -% the Free Software Foundation, either version 3 of the License, or
>   > -% (at your option) any later version.
> 
> One other change is needed: to change the TeX code so that
> it puts this new notice
> 
>    Released under the terms of the GNU General Public License version
>    3 or later.
> 
> into the output _instead of_ the notice it uses now (which is what
> follows):
> 
>     Permission is granted to make and distribute copies of
>     this card provided the copyright notice and this permission notice
>     are preserved on all copies.

Maybe you could simply send a patch I should install, instead of
trying to explain to me how to do something that you evidently have a
much clearer idea of than I do?

Thanks.